Package ru.bitel.bgbilling.plugins.assistant.server.bean

# Class AssistantActionBase

java.lang.Object
ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantActionBase

All Implemented Interfaces:
  `AssistantAction`

    public abstract class AssistantActionBase
    extends java.lang.Object
    implements AssistantAction

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected AssistantRequest` | `assistantRequest` |
  `protected AssistantResponse` | `assistantResponse` |
  `protected java.io.PrintStream` | `err` |
  `protected java.io.PrintStream` | `out` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AssistantActionBase()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AssistantResponse` | `doAction​(AssistantRequest assistantRequest)` |
  `void` | `doButton1()` |
  `void` | `doButton2()` |
  `void` | `doButton3()` |
  `void` | `doButton4()` |
  `protected void` | `error​(java.lang.Object message)` |
  `protected void` | `print​(java.lang.Object message)` |
  `void` | `setErrorStream​(java.io.PrintStream err)` |
  `void` | `setOutputStream​(java.io.PrintStream out)` |
  `AssistantResponse` | `showAction​(AssistantRequest assistantRequest)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### assistantResponse

    protected final AssistantResponse assistantResponse

  - ### out

    protected java.io.PrintStream out

  - ### err

    protected java.io.PrintStream err

  - ### assistantRequest

    protected AssistantRequest assistantRequest

- ## Constructor Details

  - ### AssistantActionBase

    public AssistantActionBase()

- ## Method Details

  - ### showAction

    public AssistantResponse showAction​(AssistantRequest assistantRequest) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `showAction` in interface `AssistantAction`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doAction

    public AssistantResponse doAction​(AssistantRequest assistantRequest) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `doAction` in interface `AssistantAction`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doButton1

    public void doButton1()
    Specified by:
      `doButton1` in interface `AssistantAction`

  - ### doButton2

    public void doButton2()
    Specified by:
      `doButton2` in interface `AssistantAction`

  - ### doButton3

    public void doButton3()
    Specified by:
      `doButton3` in interface `AssistantAction`

  - ### doButton4

    public void doButton4()
    Specified by:
      `doButton4` in interface `AssistantAction`

  - ### setOutputStream

    public void setOutputStream​(java.io.PrintStream out)

  - ### setErrorStream

    public void setErrorStream​(java.io.PrintStream err)

  - ### print

    protected void print​(java.lang.Object message)

  - ### error

    protected void error​(java.lang.Object message)